=== debian/changelog ===
kmix (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:35:05 -0700

kmix (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merge with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:53:07 +0100

kmix (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:49 +0100

kmix (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).
  * Drop upstream patch: upstream_fix-kmixui.rc-install-location.diff

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:51 +0200

kmix (4:15.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (15.08.0).
  * Add upstream_fix-kmixui.rc-install-location.diff (from Ubuntu).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 04 Sep 2015 00:52:39 +0200

kmix (4:15.04.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.2).

  [ Jeremy Lainé ]
  * New upstream release (15.04.3).
  * Explicitly build against KDE4.
  * Add myself to uploaders.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 24 Jul 2015 14:10:00 +0200

kmix (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:21:37 +0100
