=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14),
+               kdelibs5-dev (>= 4:4.14.22~),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libglib2.0-dev,
@@ -15,8 +15,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kmix.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kmix.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
 
 Package: kmix
 Section: sound
