## kmix 16.08.0

=== profiles/CMakeLists.txt ===
install( FILES 
  OSS.default.xml 
  ALSA.default.xml 
  ALSA.playback.xml 
  ALSA.capture.xml 
  MPRIS2.default.xml
  PulseAudio.default.xml
  SUNAudio.default.xml
  ALSA.TerraTec_DMX6Fire.1.default.xml
	DESTINATION  ${DATA_INSTALL_DIR}/kmix/profiles )
