=== debian/changelog ===
kmix (4:16.08.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:58:09 +0200

kmix (4:16.04.1-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Jurica Stanojkovic ]
  * Fix assertion fail error on mips.
    Thanks to Chris Lamb for the report and Jurica Stanojkovic for the patch
    (Closes: 799992)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 17:06:51 +0200

kmix (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Refresh patches

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Revert "Update build-deps and deps with the info from cmake"

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:05:08 +0200
