=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.10.0~),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5dbusaddons-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5xmlgui-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12),
               plasma-framework-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmix.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.
