=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

MIPS_BUILD = OFF
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64 mips64el))
  MIPS_BUILD = ON
endif
override_dh_auto_configure:
	$(overridden_command) -- -DKMIX_KF5_BUILD=0 -DWITH_MIPS_BUILD:BOOL=$(MIPS_BUILD)
