=== debian/changelog ===
kmix (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:28:49 +0000

kmix (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Drop patches
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

  [ Clive Johnston ]
  * Port packaging to KF5

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:04 +0000

kmix (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:42 +0000
