## kmix 18.04.1

=== pics/CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,13 @@
     kmixdocked.png
     kmixdocked_mute.png
     kmixdocked_error.png
-    DESTINATION  ${DATA_INSTALL_DIR}/kmix/pics )
+    show-mixer.png
+    DESTINATION  ${KDE_INSTALL_DATADIR}/kmix/pics )
 
-if (KMIX_KF5_BUILD)
-include(ECMInstallIcons)
-ecm_install_icons( ${ICON_INSTALL_DIR}   )
-else()
-kde4_install_icons( ${ICON_INSTALL_DIR}   )
-endif()
+ecm_install_icons(ICONS
+    16-actions-kmix.png
+    32-actions-kmix.png
+    48-actions-kmix.png
+    64-actions-kmix.png
+    128-actions-kmix.png
+    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)
