=== debian/changelog ===
kmix (4:18.04.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:38:15 +0800

kmix (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:11:39 +0200

kmix (4:17.12.2-1) unstable; urgency=medium

  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874975)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, and kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5globalaccel-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, kinit-dev, libkf5notifications-dev,
      libkf5plasma-dev, libkf5solid-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Stop passing -DKMIX_KF5_BUILD=0 to cmake, as kmix is now only Qt5/KF5.
  * Break/replace against kde-l10n that ships translations.
  * Update the patches:
    - kmix_showeverywhere.diff: refresh
  * Remove symlinking of the desktop autostart, since they are now installed
    in the correct location.
  * Use https for Format in copyright.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:22:11 +0100

kmix (4:17.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Since it is still built as kdelibs 4.x, remove unused build dependencies:
    extra-cmake-modules, libkf5dbusaddons-dev, libkf5globalaccel-dev,
    libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5xmlgui-dev, and
    plasma-framework-dev.
  * Because of the above, use version 2 of class debian-qt-kde.mk.
  * Remove workaround for mips* architectures, as it should be not needed
    anymore (hopefully)
    - remove patch mips-no-as-needed-workaround.diff
  * Remove patch kubuntu_cmake-policy.diff, as its job is already done
    upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:26:41 +0100
