=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev (>= 5.14.0~),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.14.0~),
               libkf5configwidgets-dev (>= 5.14.0~),
               libkf5crash-dev (>= 5.14.0~),
               libkf5dbusaddons-dev (>= 5.14.0~),
               libkf5doctools-dev (>= 5.14.0~),
               libkf5globalaccel-dev (>= 5.14.0~),
               libkf5i18n-dev (>= 5.14.0~),
               libkf5iconthemes-dev (>= 5.14.0~),
               libkf5notifications-dev (>= 5.14.0~),
               libkf5plasma-dev (>= 5.14.0~),
               libkf5solid-dev (>= 5.14.0~),
               libkf5widgetsaddons-dev (>= 5.14.0~),
               libkf5windowsystem-dev (>= 5.14.0~),
               libkf5xmlgui-dev (>= 5.14.0~),
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.
