=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.14.0~),
               kinit-dev,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kdelibs4support-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-dev (<< 4:4.10), ${kde-l10n:all}
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.
