## kmix 19.08.2

=== debian/changelog ===
kmix (4:19.08.2-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * use signature for upstream tarball.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.7.0
    - bump the KF packages to 5.41.0
    - remove kinit-dev
    - explicitly add gettext, and pkg-config
  * Update the patches:
    - kmix_showeverywhere.diff: refresh
  * Update lintian overrides.
  * Drop the old kdemultimedia-dev breaks/replaces, older than oldstable.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Oct 2019 10:06:47 +0200
